Loading...
Searching...
No Matches
XrdSsiRRInfo Class Reference

`#include <XrdSsiRRInfo.hh>`

Collaboration diagram for XrdSsiRRInfo:

## Public Types

enum | Opc { Rxq = 0 , Rwt = 1 , Can = 2 }

## Public Member Functions

| XrdSsiRRInfo (unsigned long long ival=0)
| ~XrdSsiRRInfo ()
Opc | Cmd ()
void | Cmd (Opc cmd)
const unsigned char * | Data ()
unsigned int | Id ()
void | Id (unsigned int id)
unsigned long long | Info ()
unsigned int | Size ()
void | Size (unsigned int sz)

## Static Public Attributes

static const unsigned int | idMax = 16777215

## Detailed Description

Definition at line 37 of file XrdSsiRRInfo.hh.

## Member Enumeration Documentation

## Opc

enum XrdSsiRRInfo::Opc

Enumerator
Rxq |
Rwt |
Can |

Definition at line 43 of file XrdSsiRRInfo.hh.

{Rxq = 0, Rwt = 1, Can = 2};
XrdSsiRRInfo::Rxq
@ Rxq
Definition XrdSsiRRInfo.hh:43
XrdSsiRRInfo::Can
@ Can
Definition XrdSsiRRInfo.hh:43
XrdSsiRRInfo::Rwt
@ Rwt
Definition XrdSsiRRInfo.hh:43

## Constructor & Destructor Documentation

## XrdSsiRRInfo()

XrdSsiRRInfo::XrdSsiRRInfo | ( | unsigned long long | ival = 0 | ) |

inline

Definition at line 70 of file XrdSsiRRInfo.hh.

: reqId(static_cast<unsigned int>( (ival>>32) & 0xffffffff)),
reqSize(static_cast<unsigned int>(ival & 0xffffffff)) {}

## ~XrdSsiRRInfo()

XrdSsiRRInfo::~XrdSsiRRInfo | ( |  | ) |

inline

Definition at line 74 of file XrdSsiRRInfo.hh.

{}

## Member Function Documentation

## Cmd() [1/2]

Opc XrdSsiRRInfo::Cmd | ( |  | ) |

inline

Definition at line 48 of file XrdSsiRRInfo.hh.

{return static_cast<Opc>(reqCmd);}
XrdSsiRRInfo::Opc
Opc
Definition XrdSsiRRInfo.hh:43

## Cmd() [2/2]

void XrdSsiRRInfo::Cmd | ( | Opc | cmd | ) |

inline

Definition at line 45 of file XrdSsiRRInfo.hh.

{reqCmd = static_cast<unsigned char>(cmd);}

Referenced by XrdSsiTaskReal::Kill(), and XrdSsiFileSess::truncate().

Here is the caller graph for this function:

## Data()

const unsigned char * XrdSsiRRInfo::Data | ( |  | ) |

inline

Definition at line 50 of file XrdSsiRRInfo.hh.

{return &reqCmd;}

## Id() [1/2]

unsigned int XrdSsiRRInfo::Id | ( |  | ) |

inline

Definition at line 58 of file XrdSsiRRInfo.hh.

{return ntohl(reqId) & idMask;}

## Id() [2/2]

void XrdSsiRRInfo::Id | ( | unsigned int | id | ) |

inline

Definition at line 52 of file XrdSsiRRInfo.hh.

{unsigned char tmp = reqCmd;
reqId = htonl(id & idMask);
reqCmd = tmp;
}

Referenced by XrdSsiFileSess::fctl(), XrdSsiTaskReal::Kill(), XrdSsiFileSess::read(), XrdSsiFileSess::SendData(), XrdSsiTaskReal::SendRequest(), XrdSsiTaskReal::SetBuff(), XrdSsiTaskReal::SetBuff(), XrdSsiFileSess::truncate(), and XrdSsiFileSess::write().

Here is the caller graph for this function:

## Info()

unsigned long long XrdSsiRRInfo::Info | ( |  | ) |

inline

Definition at line 64 of file XrdSsiRRInfo.hh.

{return (static_cast<unsigned long long>(reqId & 0xffffffff) <<32LL)
|(static_cast<unsigned long long>(reqSize & 0xffffffff));
}

Referenced by XrdSsiTaskReal::Kill(), XrdSsiTaskReal::SendRequest(), XrdSsiTaskReal::SetBuff(), and XrdSsiTaskReal::SetBuff().

Here is the caller graph for this function:

## Size() [1/2]

unsigned int XrdSsiRRInfo::Size | ( |  | ) |

inline

Definition at line 62 of file XrdSsiRRInfo.hh.

{return ntohl(reqSize);}

## Size() [2/2]

void XrdSsiRRInfo::Size | ( | unsigned int | sz | ) |

inline

Definition at line 60 of file XrdSsiRRInfo.hh.

{reqSize = htonl(sz);}

Referenced by XrdSsiTaskReal::SendRequest(), and XrdSsiFileSess::write().

Here is the caller graph for this function:

## Member Data Documentation

## idMax

const unsigned int XrdSsiRRInfo::idMax = 16777215

static

Definition at line 41 of file XrdSsiRRInfo.hh.

Referenced by XrdSsiSessReal::InitSession().

The documentation for this class was generated from the following file:

- XrdSsiRRInfo.hh